Last Comment Bug 342966 - [BeOS]re-enable EMULATE_BOLD
: [BeOS]re-enable EMULATE_BOLD
Status: RESOLVED FIXED
: fixed1.8.1.8
Product: Core Graveyard
Classification: Graveyard
Component: GFX: BeOS (show other bugs)
: Trunk
: x86 BeOS
: -- normal (vote)
: ---
Assigned To: Sergei Dolgov
: QA timeless
Mentors:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2006-06-28 05:02 PDT by Sergei Dolgov
Modified: 2009-01-22 10:17 PST (History)
3 users (show)
See Also:
QA Whiteboard:
Iteration: ---
Points: ---


Attachments
patch (4.78 KB, patch)
2006-06-28 07:17 PDT, Sergei Dolgov
thesuckiestemail: review+
dveditz: approval1.8.1.8+
Details | Diff | Splinter Review

Description Sergei Dolgov 2006-06-28 05:02:11 PDT
There are some nice fonts which lack bold face, like Bitstream Cyberbit.
Previously we had little code which emulated bold face for such font by drawing string twice with +1 shift, but that was lost during big changes in our gfx.

Personally I feel lack of such feature now.
Comment 1 Sergei Dolgov 2006-06-28 07:17:09 PDT
Created attachment 227405 [details] [diff] [review]
patch

Old implementation had several issues - sometimes it emulated bold for fonts which actually have bold-face - that produced ugly results.
Also, emulation igonored visible width change, which lead sometimes to not so nice rendering in text with mixed bold and non-bold chars.

Both problems fixed in current implementation.
Also, to compensate little slowdown, there is attempt to use much more effetive B_OP_COPY mode wherever possible.

r=?
Comment 2 Sergei Dolgov 2006-06-28 07:17:48 PDT
BeOS-only
Comment 3 tqh 2006-06-28 08:27:55 PDT
Comment on attachment 227405 [details] [diff] [review]
patch

r=thesuckiestemail@yahoo.se
Looks fine to me.
Comment 4 Sergei Dolgov 2006-06-28 09:18:08 PDT
Checking in mozilla/gfx/src/beos/nsFontMetricsBeOS.cpp;
/cvsroot/mozilla/gfx/src/beos/nsFontMetricsBeOS.cpp,v  <--  nsFontMetricsBeOS.cpp
new revision: 1.45; previous revision: 1.44
done
Checking in mozilla/gfx/src/beos/nsFontMetricsBeOS.h;
/cvsroot/mozilla/gfx/src/beos/nsFontMetricsBeOS.h,v  <--  nsFontMetricsBeOS.h
new revision: 1.14; previous revision: 1.13
done
Checking in mozilla/gfx/src/beos/nsRenderingContextBeOS.cpp;
/cvsroot/mozilla/gfx/src/beos/nsRenderingContextBeOS.cpp,v  <--  nsRenderingContextBeOS.cpp
new revision: 1.59; previous revision: 1.58
done 
Comment 5 Sergei Dolgov 2007-09-27 04:46:02 PDT
Comment on attachment 227405 [details] [diff] [review]
patch

applies cleanly to 1.8.1.8 branch code
Comment 6 Daniel Veditz [:dveditz] 2007-09-27 11:13:43 PDT
Comment on attachment 227405 [details] [diff] [review]
patch

BeOS-only change approved for 1.8.1.8, a=dveditz for release-drivers
Comment 7 Sergei Dolgov 2007-09-27 14:37:49 PDT
Checking in mozilla/gfx/src/beos/nsFontMetricsBeOS.cpp;
/cvsroot/mozilla/gfx/src/beos/nsFontMetricsBeOS.cpp,v  <--  nsFontMetricsBeOS.cpp
new revision: 1.40.12.5; previous revision: 1.40.12.4
done
Checking in mozilla/gfx/src/beos/nsFontMetricsBeOS.h;
/cvsroot/mozilla/gfx/src/beos/nsFontMetricsBeOS.h,v  <--  nsFontMetricsBeOS.h
new revision: 1.12.12.2; previous revision: 1.12.12.1
done
Checking in mozilla/gfx/src/beos/nsRenderingContextBeOS.cpp;
/cvsroot/mozilla/gfx/src/beos/nsRenderingContextBeOS.cpp,v  <--  nsRenderingContextBeOS.cpp
new revision: 1.51.12.7; previous revision: 1.51.12.6
done 

Note You need to log in before you can comment on or make changes to this bug.